<?php

/**
 * Class that operate on table 'onlinetemporder'. Database Mysql.
 *
 * @author: http://phpdao.com
 * @date: 2019-11-13 10:55
 */
class OnlinetemporderMySqlExtDAO extends OnlinetemporderMySqlDAO {

    public function queryAllEX($query = '') {
        $sql = "SELECT onlinetemporder.*,onlinetemporderclient.clientname,onlinetemporderclient.clientmobile,onlinetemporderclient.erpid
                FROM onlinetemporder
                join onlinetemporderclient on onlinetemporderclient.orderid = onlinetemporder.onlineorderid
                where 1 $query ";
        $sqlQuery = new SqlQuery($sql);
        return $this->getList($sqlQuery);
    }

}

?>